import { PartialType, PickType } from '@nestjs/swagger';
import { IsString } from 'class-validator';
import { Room } from 'src/objects/building/entities/room.entity';

export class BuildingsCreateRoomRequestDto extends PickType(Room, [
  'displayName',
  'plan',
]) {
  @IsString()
  displayName: string;

  @IsString()
  plan: string;
}

export class BuildingsUpdateRoomRequestDto extends PartialType(
  BuildingsCreateRoomRequestDto,
) {}
