import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { GroupModule } from '../group/group.module';
import { Building } from './entities/building.entity';
import { BuildingService } from './building.service';
import { Floor } from './entities/floor.entity';
import { Room } from './entities/room.entity';
import { UserBuildingAccessControl } from './entities/acl.entity';

@Module({
  imports: [
    GroupModule,
    TypeOrmModule.forFeature([
      Building,
      Floor,
      Room,
      UserBuildingAccessControl,
    ]),
  ],
  providers: [BuildingService],
  exports: [TypeOrmModule, BuildingService],
})
export class BuildingModule {}
