import { ApiProperty } from '@nestjs/swagger';
import { Storage } from 'src/objects/storage/entities/storage.entity';
import {
  Column,
  CreateDateColumn,
  Entity,
  ManyToOne,
  OneToMany,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
} from 'typeorm';
import { Building } from './building.entity';
import { Floor } from './floor.entity';

@Entity()
export class Room {
  @ApiProperty()
  @PrimaryGeneratedColumn()
  id: number;

  @ApiProperty({ type: () => Building })
  @ManyToOne(() => Building)
  building: Building;

  @ApiProperty({ type: () => Floor })
  @ManyToOne(() => Floor)
  floor: Floor;

  @OneToMany(() => Storage, (storage) => storage.room)
  storages: Storage[];

  @ApiProperty()
  @Column()
  displayName: string;

  @ApiProperty()
  @Column({ type: 'text' })
  plan: string;

  @ApiProperty()
  @CreateDateColumn()
  createdAt: Date;

  @ApiProperty()
  @UpdateDateColumn()
  updatedAt: Date;
}
