import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { BuildingModule } from '../building/building.module';
import { GroupModule } from '../group/group.module';
import { UserModule } from '../user/user.module';
import { StoredItemTransaction } from './entities/item-transaction.entity';
import { Item } from './entities/item.entity';
import { StorageSet } from './entities/storage-set.entity';
import { Storage } from './entities/storage.entity';
import { StoredItem } from './entities/stored-item.entity';
import { StorageService } from './storage.service';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      Storage,
      StorageSet,
      Item,
      StoredItem,
      StoredItemTransaction,
    ]),
    BuildingModule,
    UserModule,
    GroupModule,
  ],
  providers: [StorageService],
  exports: [TypeOrmModule, StorageService],
})
export class StorageModule {}
